/*
 * FlowHandle.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_CORE_PKG;

/**
 * Parent's handle on a child flow.  Returned from
 * Flow.newFlow().
 */
public final class FlowHandle
{
	PACKAGE final Flow flow;
	PACKAGE final Runnable termHandler; // may be null

	/**
	 * FlowHandles are created implicitly by a call
	 * to Flow.newFlow() and returned.
	 */
	PACKAGE FlowHandle(Flow flow, Runnable termHandler)
	{
		this.flow = flow;
		this.termHandler = termHandler;
	}

	/**
	 * Destroy the Flow.  The termination handler in the
	 * parent flow will be invoked.
	 * <p>
	 * XXX the existence of this method means that FlowHandle objects
	 * must not be made visible to (other) untrusted Flows.
	 */
	public void destroy()
	{
	}
}
