/*
 * Node.Java
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_CORE_PKG;

/**
 * The Node interface used by protocols.
 * <p>
 * The Node interface provides wrappers for the basic services
 * expected by protocols running on Janos.
 * <p>
 * Basically a wrapper for java.lang.System at this point.
 */
public class Node
{
	public static void println(String msg)
	{
		java.lang.System.out.println(msg);
	}

	public static void fatalError(String msg)
	{
		println(msg);
		System.exit(11);
	}

	public static void shutdown()
	{
		println("Shutting it down.");
		System.exit(0);
	}

	public static long time()
	{
		return System.currentTimeMillis();
	}
}

