/*
 * Test ThreadPool
 *
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of Janos.
 * 
 * Janos is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License, version 2, as
 * published by the Free Software Foundation.
 * 
 * Janos is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details, in the file
 * COPYING.  If that file is not present, write to the Free
 * Software Foundation, 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA
 * 
 * The University of Utah and the Flux Group requests users to
 * return to flux-dist@cs.utah.edu any improvements that they make.
 */
package JANOS_TESTS_PKG;

import JANOS_CORE_PKG.ThreadPool;
import JANOS_CORE_PKG.Thread;
import JANOS_CORE_PKG.Flow;
import JANOS_CORE_PKG.MemSpec;
import JANOS_CORE_PKG.Node;
import JANOS_LIB_PKG.FlowBase;

public class TPTest
	extends FlowBase
{
	public void start()
	{
		Flow f;

		Thread t;

		t = threadPool.threadStart(new TPTestThread()); // -> "1) run."
		Node.println("0) started " +t);

		t = Thread.self();
		Node.println("0) I am " +t);

		f = threadPool.getFlow();
		Node.println("0) rootThreadPool.flow = " +f.toString());
	}
}

class TPTestThread
	implements Runnable
{
	static int ids = 1;
	int id;

	public TPTestThread()
	{
		this.id = ids++;
	}

	public void run()
	{
		Node.println(id+ ") run.");
	}
}
